com.ibm.openpages.api.process

## Class ProcessQueryOptions

- java.lang.Object
- - com.ibm.openpages.api.process.ProcessQueryOptions

-     public class ProcessQueryOptions
      extends java.lang.Object

  Get process options specifying what to query and how to retrieve results.
  Since:
    7.4.0.0
  See Also:
    `IProcessService.getProcessList(ProcessQueryOptions)`
  Category:
    Process

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessQueryOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcessType(Id processTypeId)` Add a process type id of querying processes.
    `void` | `addStatus(ProcessStatus status)` Add a process status of querying processes.
    `Id` | `getCreatedById()` The creator (user) id of querying processes.
    `java.util.Date` | `getCreatedOnBegin()` The begin of the created time of querying processes.
    `java.util.Date` | `getCreatedOnEnd()` The end of the created time of querying processes.
    `Id` | `getParentProcessId()` The parent process id of querying processes.
    `Id` | `getProcessId()` The process id to query.
    `java.util.List<Id>` | `getProcessTypes()` The process types of querying processes.
    `java.util.List<ProcessStatus>` | `getStatusList()` The process status of querying processes.
    `boolean` | `isIncludeAllChildren()` If include children processes in the query result.
    `void` | `setCreatedById(Id createdById)` Set the creator (user) id of querying processes.
    `void` | `setCreatedOnBegin(java.util.Date createdOnBegin)` Set begin of the created time of querying processes.
    `void` | `setCreatedOnEnd(java.util.Date createdOnEnd)` Set the end of the created time of querying processes.
    `void` | `setIncludeAllChildren(boolean includeAllChildren)` Set if include children processes in the query result.
    `void` | `setParentProcessId(Id parentProcessId)` Set the parent process id of querying processes.
    `void` | `setProcessId(Id processId)` Set The process id to query.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessQueryOptions

          public ProcessQueryOptions()

  - ### Method Detail

    - #### getProcessId

          public Id getProcessId()

      The process id to query.
      Returns:
        the process id to query

    - #### setProcessId

          public void setProcessId(Id processId)

      Set The process id to query.
      Parameters:
        `processId` - the process id to query

    - #### getParentProcessId

          public Id getParentProcessId()

      The parent process id of querying processes.
      Returns:
        the parent process id of querying processes

    - #### setParentProcessId

          public void setParentProcessId(Id parentProcessId)

      Set the parent process id of querying processes.
      Parameters:
        `parentProcessId` - the parent process id of querying processes

    - #### getCreatedOnBegin

          public java.util.Date getCreatedOnBegin()

      The begin of the created time of querying processes.
      Returns:
        the begin of the created time of querying processes

    - #### setCreatedOnBegin

          public void setCreatedOnBegin(java.util.Date createdOnBegin)

      Set begin of the created time of querying processes.
      Parameters:
        `createdOnBegin` - the begin of the created time of querying processes

    - #### getCreatedOnEnd

          public java.util.Date getCreatedOnEnd()

      The end of the created time of querying processes.
      Returns:
        the end of the created time of querying processes

    - #### setCreatedOnEnd

          public void setCreatedOnEnd(java.util.Date createdOnEnd)

      Set the end of the created time of querying processes.
      Parameters:
        `createdOnEnd` - the end of the created time of querying processes

    - #### getProcessTypes

          public java.util.List<Id> getProcessTypes()

      The process types of querying processes.
      Returns:
        the process types of querying processes

    - #### addProcessType

          public void addProcessType(Id processTypeId)

      Add a process type id of querying processes.
      Parameters:
        `processTypeId` - the process type id of querying processes

    - #### getStatusList

          public java.util.List<ProcessStatus> getStatusList()

      The process status of querying processes.
      Returns:
        the process status of querying processes

    - #### addStatus

          public void addStatus(ProcessStatus status)

      Add a process status of querying processes.
      Parameters:
        `status` - the process status of querying processes

    - #### isIncludeAllChildren

          public boolean isIncludeAllChildren()

      If include children processes in the query result. Default false
      Returns:
        true if include children processes in the query result, otherwise false

    - #### setIncludeAllChildren

          public void setIncludeAllChildren(boolean includeAllChildren)

      Set if include children processes in the query result.
      Parameters:
        `includeAllChildren` - true if include children processes in the query result, otherwise false

    - #### getCreatedById

          public Id getCreatedById()

      The creator (user) id of querying processes.
      Returns:
        the creator (user) id of querying processes

    - #### setCreatedById

          public void setCreatedById(Id createdById)

      Set the creator (user) id of querying processes.
      Parameters:
        `createdById` - the creator (user) id of querying processes

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.